API ReferenceKnowledge Bases
/public/knowledge-bases
List knowledge bases
List knowledge bases
Query Parameters
provider?string
Value in
"azureOpenAI" | "openAI" | "humain" | "microsoftFoundry" | "cascade"search?string
tags?
pageIndex?integer
Format
int32pageSize?integer
Format
int32Header Parameters
X-API-Version?string
Response Body
application/problem+json
application/json
application/json
curl -X GET "https://companion-api.napster.com/public/knowledge-bases"{
"items": [
{
"id": "string",
"name": "string",
"provider": "azureOpenAI",
"itemsCount": 0,
"created": 0,
"tags": {
"property1": "string",
"property2": "string"
}
}
],
"filteredCount": 0,
"totalCount": 0,
"pageIndex": 0,
"pageSize": 0,
"search": "string"
}[
{
"code": "string",
"description": "string",
"type": "failure",
"numericType": 0
}
]{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}{
"code": "string",
"description": "string",
"type": "failure",
"numericType": 0
}{
"code": "string",
"description": "string",
"type": "failure",
"numericType": 0
}{
"code": "string",
"description": "string",
"type": "failure",
"numericType": 0
}